Summary: An X application for displaying and manipulating images.
Name: ImageMagick
Version: 5.1.1
Release: 9mdk
Copyright: freeware
Group: Graphics
Source: ftp://ftp.wizards.dupont.com/pub/ImageMagick-%{version}.tar.bz2
Source1: ftp://ftp.wizards.dupont.com/pub/ImageMagick.pdf.bz2
Url: http://www.wizards.dupont.com/cristy/ImageMagick.html
Patch0: ImageMagick-5.1.1-qcontrolq.patch.bz2
Patch1: ImageMagick-remove-rpath.patch.bz2
Patch2: ImageMagick-5.1.1-build_rpm.patch
Buildroot: %{_tmppath}/ImageMagick-root
Prereq: /sbin/ldconfig

%description
ImageMagick is a powerful image display, coversion and
manipulation tool. It runs in an X session. With this
tool, you can view, edit and display a variety of
image formats.

This package installs the necessary files to run ImageMagick.

%package devel
Summary: Static libraries and header files for ImageMagick app development.
Group: Development/C
Requires: ImageMagick = %{PACKAGE_VERSION}

%description devel
If you want to create applications that will use ImageMagick code
or APIs, you'll need to install these packages as well as ImageMagick.
These additional packages aren't necessary if you simply want to
use ImageMagick, however.

ImageMagick-devel is an addition to ImageMagick which includes 
static libraries and header files necessary to develop 
applications. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1
bzcat %{SOURCE1} > $RPM_BUILD_DIR/%{name}-%{version}/ImageMagick.pdf


%build
#LDFLAGS="-L$RPM_BUILD_ROOT/usr/lib/" 
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
    --with-x --with-perl --enable-shared --host=%{_arch}-linux
mkdir -p $RPM_BUILD_ROOT    
uname -a|grep SMP && make -j 2 || make 

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make install \
	prefix=$RPM_BUILD_ROOT/usr \
	PREFIX=$RPM_BUILD_ROOT/usr \
	libdir=$RPM_BUILD_ROOT/usr/lib

%clean
rm -rf $RPM_BUILD_ROOT
#rm -fv files-perl.list

%post 
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc www images
%doc README.txt ImageMagick.html ImageMagick.pdf
%attr(755,root,root) /usr/lib/*.so.*
/usr/bin/animate
/usr/bin/combine
/usr/bin/convert
/usr/bin/display
/usr/bin/identify
/usr/bin/import
/usr/bin/mogrify
/usr/bin/montage 
/usr/man/*/*
/usr/share/*

%files devel
%defattr(-,root,root)
%doc www/api.html www/api/ images/examples.jpg images/home.png Magick++/demo/
/usr/bin/Magick-config
/usr/lib/*.a
/usr/lib/*.la
/usr/include/magick
/usr/lib/*.so
/usr/lib/perl5/site_perl/5.6.0/%{_arch}-linux/auto/Image/Magick/Magick.so
/usr/lib/perl5/site_perl/5.6.0/%{_arch}-linux/auto/Image/Magick/Magick.bs
/usr/lib/perl5/site_perl/5.6.0/%{_arch}-linux/auto/Image/Magick/autosplit.ix
/usr/lib/perl5/site_perl/5.6.0/%{_arch}-linux/auto/Image/Magick/.packlist
/usr/lib/perl5/site_perl/5.6.0/%{_arch}-linux/Image/Magick.pm
/usr/lib/perl5/man/man3/Image::Magick.3.bz2

%changelog
* Thu May 11 2000 Vincent Saugey <vince@mandrakesoft.com> 5.1.1-9mdk
- Remove demo because of invalide reference to /usr/local/bin/perl

* Wed May 10 2000 Vincent Saugey <vince@mandrakesoft.com> 5.1.1-8mdk
- Corrected arch problem big thank to Stefan Siegel for this fix
- Add an other patch for corrected package build

* Wed Apr 26 2000 Vincent Saugey <vince@mandrakesoft.com> 5.1.1-7mdk
- Change prefix to /usr.
- Update to second version 5.1.1 of wizard.dupont.
- Move include files in /usr/include/magick.
- Remove entry menu for display (needs a terminaux stdin)
- Now, compile alone (with good librairie in rpm build dir)

* Wed Apr 19 2000 Vincent Saugey <vince@mandrakesoft.com> 5.1.1-6mdk
- Doc file slipt into the two package.

* Mon Apr 17 2000 Vincent Saugey <vince@mandrakesoft.com> 5.1.1-5mdk
- Patch ltconfig to remove rpath.

* Fri Apr  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.1.1-4mdk
- Really apply patch.

* Thu Apr  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.1.1-3mdk
- Prereq: /sbin/ldconfig.
- Add menu.
- Adjust groups.
- No need to do Ctrl-q to qui (just q or c-q if you really want).

* Wed Feb 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.1.1-2mdk
- Recompile ImageMagick-devel with the right 5.1.1 devel.

* Thu Jan 13 2000 Vincent Saugey <vince@mandrakesoft.com>
- update to 5.1.0
- Add documaentation ImageMagick.pdf

* Mon Nov 01 1999 Vincent Saugey <vincent@mandrakesoft.com>
- 4.2.9
- ImageMagick now supports native blob support for most of the image formats.  
- Enable accented letters in text for Postscript fonts
- Broke up some of the large source modules into smaller more managable modules. 
- Added methods CreateImage and GetPixels to make using float arrays of pixels easier.
- Fixed GS delegate to get around a Ghostscript bug for device pnmraw (bug report by Thomas Baker).        
- Added ImageMagick User's Guide to the distribution. See ImageMagick/docs directory.
- Drawing primitives are antialiased now 
- Several API changes were made to accomodate Magick++, the C++ ImageMagick API wrapper 
- Several API changes were made to make the ImageMagick API thread safe. 
- Many others changes

* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Handle SMP compilation.
- 4.2.7.
- Remove unused patch.

* Tue May 04 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 4.2.3
- Mandrake adaptions
- add de locale

* Fri Apr 09 1999 Cristian Gafton <gafton@redhat.com>
- include the perl man pages as well

* Tue Apr 06 1999 Michael K. Johnson <johnsonm@redhat.com>
- remove --enable-16bit because it damages interoperability

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- update to 4.2.2
- change ChangeLog to refer to actual dates. 
- strip binaries

* Thu Apr  1 1999 Bill Nottingham <notting@redhat.com>
- add more files. Oops.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Wed Mar 10 1999 Bill Nottingham <notting@redhat.com>
- version 4.2.1

* Tue Jan 19 1999 Michael K. Johnson <johnsonm@redhat.com>
- changed group

* Tue Jan 19 1999 Cristian Gafton <gafton@redhat.com>
- hacks to make it work with the new perl
- version 4.1.0 (actually installs the sonames as 4.0.10... doh!)
- make sure the libraries have the x bit on

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 21 1998 Cristian Gafton <gafton@redhat.com>
- updated to 4.0.5

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- updated to 4.0.4
- added BuildRoot

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- updated from 3.8.3 to 3.9.1
- removed PNG patch (appears to be fixed)

* Wed Oct 15 1997 Erik Troan <ewt@redhat.com>
- build against new libpng

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Mar 20 1997 Michael Fulbright <msf@redhat.com>
- updated to version 3.8.3.
- updated source and url tags.
